/* ************************************************************************** 
 *             The Pebbles Personal Digital Assistant Project               *
 * **************************************************************************
 * This code was written as part of the Pebbles project at                  *
 * Carnegie Mellon University.  See the following for more information:     *
 *                http://www.cs.cmu.edu/~pebbles                            *
 * This code is being made available for free general non-commercial use.   *
 * For other conditions, see http://www.cs.cmu.edu/~pebbles/conditions.html *
 * Please contact us for more information: pebbles@cs.cmu.edu               *  
 *         Copyright (C) 1998 - Carnegie Mellon University                  *
 * **************************************************************************/

/* 
   This file defines the protocol messages used by Ping.
   Ping is a sample Pebbles program that triggers a beep on the PC
   when the user presses a button on the PDA.

   Designed and implemented by Rob Miller
*/

#ifndef __PINGMESSAGE_H__
#define __PINGMESSAGE_H__

#include <Pebbles.h>

#define CMD_PING            (CMD_PEBBLES_BASE + 0)
    // Sent by app to plugin when user presses the Ping button.
    //
    //      Data: string provided by user (currently empty)

#define CMD_PONG            (CMD_PEBBLES_BASE + 1)
    // Sent by plugin back to app to acknowledge CMD_PING.
    //
    //      Data: string from CMD_PING message

#endif